#include <QApplication>
#include <QMainWindow>
#include <QPushButton>
#include <QRegion>
#include <QBitmap>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QMainWindow *window = new QMainWindow();

    window->setWindowTitle(QString::fromUtf8("Round-Shaped QPushButton"));
    window->resize(400, 400);

    QWidget *centralWidget = new QWidget(window);

    QPushButton* button = new QPushButton(centralWidget);
    button->setText("ROMANIA");
    button->move(100, 100);

    QPixmap pixmap("roflag.png");

    button->setFixedSize(pixmap.size());
    button->setMask(pixmap.mask().createHeuristicMask());

    button->setStyleSheet("QPushButton{border-image: url(roflag.png); background-color: transparent;}\n"
                          "QPushButton:hover{border-image: url(roflag.png);background-color: transparent;border: none;}\n}\n"
                          "QPushButton:pressed{border-image: url(roflag.png);background-color: transparent;border: none;}\n}");

    window->setCentralWidget(centralWidget);
    window->show();

    return app.exec();

}
