#include "shapedwindow.h"
#include <QtWidgets>
#include <QMouseEvent>
#include <QAction>

ShapedWindow::ShapedWindow(QWidget *parent) :
    QWidget(parent)
{
    QPixmap pix("orange.gif");
    pix = pix.scaled(800, 700, Qt::KeepAspectRatio);

    setMask(pix.mask().createHeuristicMask());

    QPalette palette;// = new QPalette();
    palette.setBrush(QPalette::Background, QBrush(pix));
    setPalette(palette);

    //setWindowFlags(Qt::FramelessWindowHint);

    QAction *quitAction = new QAction(tr("E&xit"), this);
    quitAction->setShortcut(tr("Ctrl+Q"));
    connect(quitAction, SIGNAL(triggered()), qApp, SLOT(quit()));
    addAction(quitAction);

    setContextMenuPolicy(Qt::ActionsContextMenu);
    setToolTip(tr("Trage forma cu click stanga.\n"
                  "Click dreapta pentru meniu de context."));
    setGeometry(200, 200, 1200, 1000);
}

void ShapedWindow::mousePressEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton)
    {
        mousePos = event->globalPos() - geometry().topLeft();
        event->accept();
    }
}

void ShapedWindow::mouseMoveEvent(QMouseEvent *event)
{
    if (event->buttons() & Qt::LeftButton)
    {
        move(event->globalPos() - mousePos);
        event->accept();
    }
}
